%define name C++2LaTeX
%define version 1.1
%define release 4mdk

Summary: Pretty-printer for converting C/C++ code to a LaTeX listing
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/C++
Source: %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-buildroot

%description
C++2LaTeX takes as input a C or C++ source file and outputs a 
LaTeX file that is a beautified listing (optionally the output
can contain the 'documentstyle' header and so on).

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
uname -a|grep SMP && make -j 2 || make 

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1

install -s -m 755 c++2latex 	$RPM_BUILD_ROOT/usr/bin
install -m 444 c++2latex.1 	$RPM_BUILD_ROOT/usr/man/man1

%files
%defattr (-,root,root)
/usr/bin/c++2latex
/usr/man/man1/c++2latex.1.bz2

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 20 2000 Camille Begnis <camille@mandrakesoft.com> 1.1-4mdk
- Fixed group
    
* Fri Mar 17 2000 Camille Begnis <camille@mandrakesoft.com> 1.1-3mdk
- minor spec update 

* Wed Feb 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.1-2mdk
 - updated .spec file a bit

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
 - new in contribs
 - build for mandrake
 
* Thu Nov 05 1998 Christian Joensson FOA 72 <chj@lin.foa.se>.
  - Took James Youngman's, <JYoungman@vggas.com>, libc5 src.
  - Deleted the tetex-latex dependency, built with glibc-2,
    and stripped binary.         
